# parallel\Events\Input::add

(0.9.0)

parallel\Events\Input::add — Inputs

### 说明

public parallel\Events\Input::add(string `$target`, mixed `$value`): void

Shall set input for the given target

### Exceptions

警告

Shall throw parallel\Events\Input\Error\Existence if input for target already exists.

警告

Shall throw parallel\Events\Input\Error\IllegalValue if value is illegal (object, `null`).

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open